.main {
    display: flex;
    flex-direction: column;
}

.main__hero {
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.main__hero__title {
    text-align: center;
    line-height: 3rem;
    font-weight: 700;
    color: var(--content-primary);
    font-size: var(--fs-1);
}

.main__hero__title__span {
    background-color: var(--background-content-primary);
    padding: 4px 16px;
}

.main__hero__description {
    text-align: center;
    max-width: 600px;
    font-weight: 300;
    color: var(--content-primary);
    font-size: var(--fs-base);
}

.main__hero__button-container {
    margin-top: 24px;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}

.main__hero__button-container__item {
    list-style: none;
}

.main__hero__button-container__item__link {
    text-decoration: none;
    font-size: var(--fs-base);
}

.main__why-us {
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.main__why-us__title {
    text-align: center;
    font-weight: 700;
    color: var(--content-primary);
    font-size: var(--fs-1);
}

.main__why-us__description {
    text-align: center;
    max-width: 600px;
    font-weight: 300;
    color: var(--content-primary);
    font-size: var(--fs-base);
}

.main__why-us__list {
    margin-top: 24px;
    list-style: none;
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
}

.main__why-us__list__item {
    width: 100%;
    padding: 16px;
    border-radius: var(--border-radius-1);
}

.design {
    background-image: url('../images/design.jpg');
    background-size: cover;
    background-position: center;
}

.develop {
    background-image: url('../images/develop.jpg');
    background-size: cover;
    background-position: center;
}

.marketing {
    background-image: url('../images/marketing.jpg');
    background-size: cover;
    background-position: center;
}

.main__why-us__list__item__card {
    background-color: var(--background-content-secondary-inverted);
    filter: opacity(0.9);
    padding: 24px;
    border-radius: var(--border-radius-1);
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.main__why-us__list__item__card__title {
    color: var(--content-primary);
    font-weight: 700;
    font-size: var(--fs-base);
}

.main__why-us__list__item__card__description {
    font-weight: 300;
    color: var(--content-primary);
    font-size: var(--fs-base);
}

@media (min-width: 768px) {
    .main__hero {
        padding: 40px 80px;
    }

    .main__hero__title {
        font-size: var(--fs-4);
        line-height: 5rem;
    }

    .main__hero__description {
        font-size: var(--fs-1);
    }

    .main__hero__button-container {
        flex-direction: row;
        gap: 32px;
    }

    .main__why-us {
        padding: 40px 80px;
    }

    .main__why-us__title {
        font-size: var(--fs-3);
    }

    .main__why-us__description {
        font-size: var(--fs-1);
    }

    .main__why-us__list__item__card__title {
        font-size: var(--fs-1);
    }

    .main__why-us__list__item__card__description {
        font-size: var(--fs-1);
    }
}

@media (min-width: 1024px) {
    .main__hero__title {
        font-size: var(--fs-6);
        line-height: 6rem;
    }

    .main__hero__description {
        max-width: 900px;
    }

    .main__why-us__description {
        max-width: 900px;
    }

    .main__why-us__list {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1440px) {
    .main__why-us__list {
        grid-template-columns: 1fr 1fr 1fr;
    }
}